import java.awt.Graphics;

 import java.applet.Applet;

 public class noktatesti extends Applet

 {

 private nokta noktaref,n;

 private daire daireref,d;

 public void init()

 {

 n=new nokta(30,50);

 d=new daire(2.7,120,89);

 }

 public void paint(Graphics g)

 {

 //once noktamz ve dairemizi yazdralm

 g.drawString("Nokta n : "+n.toString(),25,25);

 g.drawString("Daire d : "+d.toString(),25,40);

 //c dairesinin adresini nokta olarak tan?mlanan noktaref e aktaral?m

 noktaref=d;

 g.drawString("Daire(noktaref uzerinden) :"+noktaref.toString(),25,70);

 //noktaref nesnesini daireref degiskenine aktaral?m

 daireref=(daire)noktaref;

 g.drawString("Daire(daireref uzerinden) :"+daireref.toString(),25,85);

 g.drawString("Dairenin alani(daireref uzerinden) :"+daireref.alan(),25,100);

 }

 }
